// MODateFormCellInspector.h
//
// by Mike Ferris
// Part of MOKit - MORegexPalette
// Copyright 1993, all rights reserved.

// ABOUT MOKit
// 
// MOKit is a collection of useful and general objects.  Permission is 
// granted by the author to use MOKit in your own programs in any way 
// you see fit.  All other rights to the kit are reserved by the author 
// including the right to sell these objects as part of a LIBRARY or as 
// SOURCE CODE.  In plain English, I wish to retain rights to these 
// objects as objects, but allow the use of the objects as pieces in a 
// fully functional program.  NO WARRANTY is expressed or implied.  The author 
// will under no circumstances be held responsible for ANY consequences to 
// you from the use of these objects.  Since you don't have to pay for 
// them, and full source is provided, I think this is perfectly fair.

// ABOUT MODateFormCellInspector
//
// Handles the inspector for a MODateFormCell.  It allows setting of the tag
// and allowEmptyString flag.  It lets the cell be enabled or disabled, and
// it allows a choice of American or European input styles and date 
// formatting options.

#import <appkit/appkit.h>

#import <apps/InterfaceBuilder.h>

@interface MODateFormCellInspector:IBInspector
{
	id	styleRadioMatrix;
	id	formatCheckbox;
	id	formatForm;
    id	checkboxMatrix;
    id	tagForm;
}

+ initialize;

- init;

- ok:sender;
- revert:sender;

- (BOOL)wantsButtons;

@end
